import { jsx as _jsx } from "react/jsx-runtime";
import { Body1, Button, makeStyles, tokens } from "@fluentui/react-components";
import { LineContainer } from "./propertyLine.js";
const useButtonLineStyles = makeStyles({
    button: {
        border: `1px solid ${tokens.colorBrandBackground}`,
    },
});
/**
 * Wraps a button with a label in a line container
 * @param props Button props plus a label
 * @returns A button inside a line
 */
export const ButtonLine = (props) => {
    const classes = useButtonLineStyles();
    return (_jsx(LineContainer, { children: _jsx(Button, { className: classes.button, ...props, children: _jsx(Body1, { children: props.label }) }) }));
};
//# sourceMappingURL=buttonLine.js.map