import { jsx as _jsx } from "react/jsx-runtime";
import { createContext } from "react";
import { FluentProvider, webDarkTheme } from "@fluentui/react-components";
export const ToolContext = createContext({ useFluent: false, disableCopy: false });
/**
 * For tools which are ready to move over the fluent, wrap the root of the tool (or the panel which you want fluentized) with this component
 * Today we will only enable fluent if the URL has the `newUX` query parameter is truthy
 * @param props
 * @returns
 */
export const FluentToolWrapper = (props) => {
    const url = new URL(window.location.href);
    const enableFluent = url.searchParams.has("newUX") || url.hash.includes("newUX");
    return enableFluent ? (_jsx(FluentProvider, { theme: props.customTheme || webDarkTheme, children: _jsx(ToolContext.Provider, { value: { useFluent: true, disableCopy: !!props.disableCopy }, children: props.children }) })) : (props.children);
};
//# sourceMappingURL=fluentToolWrapper.js.map