import type { FunctionComponent } from "react";
import type { BaseComponentProps } from "../hoc/propertyLine.js";
import type { Nullable } from "@babylonjs/core/types.js";
type DropdownOptionValue = string | number;
export type AcceptedDropdownValue = Nullable<DropdownOptionValue> | undefined;
export type DropdownOption = {
    /**
     * Defines the visible part of the option
     */
    label: string;
    /**
     * Defines the value part of the option
     */
    value: DropdownOptionValue;
};
export type DropdownProps<V extends AcceptedDropdownValue> = BaseComponentProps<V> & {
    options: DropdownOption[];
    includeNullAs?: "null" | "undefined";
};
/**
 * Renders a fluent UI dropdown component for the options passed in, and an additional 'Not Defined' option if null is set to true
 * This component can handle both null and undefined values
 * @param props
 * @returns dropdown component
 */
export declare const Dropdown: FunctionComponent<DropdownProps<AcceptedDropdownValue>>;
export {};
